/* CCS, Class Collection by Sakurai
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package jp.gr.java_conf.ccs2.jdk11.design;


/** 
  * CView means Concreat View. This class implements foundamental method.
  * Default constructor is private, so you need give Document to construct this.
  */
public class CView implements View {
    private Document document;

    public CView(Document d) {
	document = d;
	d.addView(this);
    }

    private CView() {
    }

    /**
     * jp.gr.java_conf.ccs2.jdk11.design.View stuff
     */
    public void closeView()  {
	document.removeView(this);
    }

    public Document getDocument() {
	return document;
    }

    /**
     * jp.gr.java_conf.ccs2.jdk11.design.View stuff
     */
    public void update(Object obj)  {
    }
}
