/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math;
import jp.gr.java_conf.ccs2.jdk11.util.TreeStructure;

public abstract class Content implements Element {

    protected Content(String content) {
	this.content = content;
    }

    String content;
    
    /**
     * Get the value of content.
     * @return value of content.
     */
    public String getContent() {
	return content;
    }
    
    /**
     * Set the value of content.
     * @param v  Value to assign to content.
     */
    public void setContent(String  v) {
	this.content = v;
    }


    // TreeStructure

    public String getTreeNodeExpression() {
	return getContent();
    }
    public TreeStructure [] getTreeNodes() {
	return null;
    }
    
}
